package hero.client.grapheditor;

/**
 * WFToolBar2.java
 *
 *
 * Created: Fri Aug 09 16:18:15 2002
 *
 * @version 1.0
 */

import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JButton;

public class WFToolBar2 extends javax.swing.JToolBar {

    public WFToolBar2 (final Frame frame,final WFManager manager){
	
	super.setFloatable(true);
	boolean buttonState = manager.getPersistence().hasPermission();
	this.putClientProperty("JToolBar.isRollover", Boolean.TRUE);
	this.setMargin(new Insets(0,5,0,0));
	JButton jb;

	ClassLoader cl = frame.getClass().getClassLoader();
	
     
        jb = new JButton(new ImageIcon(cl.getResource("images/Active.gif")));
	jb.setToolTipText("New node");
	jb.setEnabled(buttonState);
	jb.setMargin(new Insets(0,0,0,0));
        jb.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent e) {
		    manager.addNode();
		}
        });

        super.add(jb);
    	
        jb = new JButton(new ImageIcon(cl.getResource("images/Transition.gif")));
	jb.setToolTipText("Directed edge");
	jb.setMargin(new Insets(0,0,0,0));
	jb.setEnabled(buttonState);
        jb.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent e) {
		    manager.addEdge();
		}
	    });			  
	super.add(jb);
    }
}
