package hero.client.manager;

/*
*
* Menubar.java - 
* Copyright (C) 2002 Ecoo Team
* valdes@loria.fr
* 
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

public class Menubar extends JMenuBar {

  public Menubar(final Manager m) {
    ClassLoader cl = m.getClass().getClassLoader();

    JMenu menu;
    JMenuItem mi;

    menu = new JMenu("Manager");
    add(menu);

    // New
    mi = new JMenuItem(new ImageIcon(cl.getResource("images/Image1.gif")));
    mi.setText("New BnProject");
    mi.addActionListener (new ActionListener () {
	    public void actionPerformed (ActionEvent e) {
		m.NewProject();
	    }
	});
    menu.add(mi);
    
    // Open
    mi = new JMenuItem(new ImageIcon(cl.getResource("images/Copy.gif")));
    mi.setText("Clone BnProject");
    mi.addActionListener (new ActionListener () {
	    public void actionPerformed (ActionEvent e) {
		m.CloneProject();
	    }
	});
    menu.add(mi);

    menu.addSeparator();

    mi = new JMenuItem("Exit");
    mi.setIcon(new ImageIcon(cl.getResource("images/Stop.gif")));
    mi.addActionListener (new ActionListener () {
      public void actionPerformed (ActionEvent e) {
	  try {
	      //	      JMSServices jms = JMSServices.getInstance();
	      //	      jms.closeConnection();
	      System.exit(0);
	  }catch(Exception ex){}
      }
    });
    menu.add(mi);
  }
}
