package hero.client.test;

/*
*
* NodeTests.java - 
* Copyright (C) 2002 Ecoo Team
* charoy@loria.fr
*
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

import hero.interfaces.BnNode;
import hero.interfaces.BnNodeHome;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

import junit.framework.TestCase;
import junit.framework.TestSuite;

public class NodeTests extends TestCase {
 
    public NodeTests(String testname) {
	super(testname);
    }
    
    public static TestSuite suite() {
	return new TestSuite(NodeTests.class);
    }

    public void setUp() throws Exception {
    }

    public void testCreateNode() throws Exception {
	Context lContext = new InitialContext();
	BnNodeHome lHome = (BnNodeHome) PortableRemoteObject.narrow(
	     lContext.lookup( "ejb/hero/BnNode" ),
	     BnNodeHome.class);
	BnNode lNode = lHome.create("pouet",1);
	// Get a new Id of the Test Entity
	String name = lNode.getName();
    }

}
