<%
// ProjectView.jsp - 
// Copyright (C) 2003 Ecoo Team
// Miguel Valdes Faura
// valdes@loria.fr 
%>

<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>

<html>
  <head>
    <STYLE TYPE=text/css>.texte {font-face:Arial;font-size:10px;color:black }</STYLE>
    <link rel="stylesheet" href='./config/default.css' type="text/css">
  </head>
  <body>

  <h2 align="left"><bean:message key="bonita.projectpage"/></h2>
  <table cellpadding="2" cellspacing="2" border="0" width="950" align="left">
    <tbody>
      <tr valign="Top">
        <H3><I><bean:write name="project" property="name"/></I> <bean:message key="project.projectname"/> <bean:write name="project" property="creator"/></H3>
        <td valign="left" width="100%">
          <H4><bean:message key="project.allnodes"/></H4>
          <table cellpadding="2" cellspacing="2" border="0" width="750" align="left" valign="Top">
            <tbody>
              <tr valign="Top" class="FORMTITLE">
                <td height="1"><bean:message key="activity.name"/></td>
                <td height="1"><bean:message key="activity.creator"/></td>
            	<td height="1"><bean:message key="activity.state"/></td>
        	<td height="1"><bean:message key="activity.type"/></td>
        	<td height="1"><bean:message key="activity.role"/></td>
        	<td height="1"><bean:message key="activity.deadline"/></td>
        	<td height="1"><bean:message key="activity.anticipable"/></td>
                <td height="1"><bean:message key="heading.action"/></td> 

                <c:forEach items="${nodes}" var="node" varStatus="status">
    	          <tr>
     	            <td>
 		      <a href="node.action?nodeAction=Activity&nodename=<c:out value="${node.name}"/>">
 		        <c:out value="${node.name}"/>
		      </a>
 	            </td>
	            <td>
                      <c:out value="${node.creator}"/>
	            </td>
	            <td align="center">
		      <c:out value="${node.state}"/>
	            </td>
	            <td align="center">
		      <c:out value="${node.type}"/>
	            </td>
	            <td align="center">
		      <c:out value="${node.role}"/>
	            </td>
	            <td align="center">
		      <c:out value="${node.deadline}"/>
	            </td>
	            <td align="center">
		      <c:out value="${node.anticipable}"/>
	            </td>
	          </tr>	
	        </c:forEach>
              </tr>
            </tbody>
          </table>
        </td></tr>
        <br>
        <tr valign="Top" align="left">
          <td valign="Top">
          <br>
          <H4><bean:message key="project.allconnections"/></H4>
          <table cellpadding="2" cellspacing="2" border="0" width="350" align="left" valign="Top">
            <tbody>
              <tr valign="Top" class="FORMTITLE">
                <td height="1"><bean:message key="edge.state"/></td>
                <td height="1"><bean:message key="edge.nodein"/></td>
            	<td height="1"><bean:message key="edge.nodeout"/></td>
            	<td height="1"><bean:message key="heading.action"/></td>

                <c:forEach items="${edges}" var="edge" varStatus="status">
    	          <tr>
	            <td align="center">
		      <c:out value="${edge.state}"/>
	            </td>
	            <td align="center">
		      <c:out value="${edge.inNode}"/>
	            </td>
	            <td align="center">
		      <c:out value="${edge.outNode}"/>
	            </td>
	            <td>
		      <a href="edge.action?edgeAction=Delete&name=<c:out value="${edge.name}"/>">
                      <bean:message key="edge.delete"/>
		      </a>
 	            </td>
	          </tr>	
	        </c:forEach>
                </tr>
                <tr>
                <td valign="Top" width="500">
                  <a href="project.action?action=configproject" style="text-decoration: none;"><bean:message key="project.configmode"/></a>
                  <html:errors property="node_error"/>
                  <html:errors property="edge_error"/>
                </td>           
              </tr>
            </tbody>
          </table>
        </tr>
      </tbody>
    </table>
  </body>
</html>
